Description

Create the ability to lookup a Greek word and get a parse.

Subtasks:

Task # 471: Diogenes Lemma Importer Closed

Task # 472: Lemma lookup REST API Closed

  Bug # 480: Make morphology lookups insenstive to browser differences Closed

  Bug # 481: Make morphology lookups not dependent on case Closed

  Bug # 482: Do not list spaces as words for morphology lookups Closed

  Bug # 483: Do not include puncutation as part of in words for morphological lookups Closed

  Task # 484: Set style of word morphology links Closed

Task # 473: Lemma lookup popups Closed

Task # 479: Diogenes Analyses Importer Closed

  Bug # 492: Analysis entries are not matching the extraction regular expression Closed

Feature # 491: Support lemma lookups on basic forms Closed

Bug # 493: Morphlogical parsing results in redundant rows Closed

History

#1 - 12/03/2012 05:48 AM - Luke Murphey

The format of Diogenes' greek-lemmata file is as follows:

Lexical Form\tNumber\tForm(info_list)

Below is an example:

a(/bra    537850    a(/bra (fem nom/voc/acc dual) (fem nom/voc sg (attic doric aeolic))    a(/brai (fem nom/vo

c pl) (fem dat sg (attic doric aeolic))    a(/brais (fem dat pl)    a(/bran (fem acc sg (attic doric aeolic)) 

   a(/bras (fem acc pl) (fem gen sg (attic doric aeolic))    a(/bra| (fem nom/voc pl) (fem dat sg (attic doric

 aeolic))    a(bra=n (fem gen pl (doric aeolic))    a(brw=n (fem gen pl)

a(/bruna    575884    a(/bruna (neut nom/voc/acc pl)

a(/dhma    1744787    a(/dhma (neut nom/voc/acc sg)

 

Greek analyses:

Lexical form\t{Identifier Unknown Form1,Form2\tDefinition\tAttributes}

!a/bais    {49671719 9 a_(/bais,h(/bh    youthful prime    fem dat pl (doric)}

!a/brois    {30699944 9 e)/brois,e)/bros    he-goat    masc dat pl}

!a/can    {1504414 9 a)/can,a)/gw    lead    aor part act neut nom/voc/acc sg}

!a/cin    {38523404 9 e)/cin,e)/ceimi2    sum    imperf ind act 3rd pl (epic)}

!a/cios    {11409341 9 a)/cios,a)/cios    counterbalancing    masc nom sg}
#2 - 12/09/2012 12:02 AM - Luke Murphey

It looks like Diogenes doesn't include all forms. I don't see participles for example.

#3 - 12/26/2012 10:26 AM - Luke Murphey

Still seeing duplicate entries for some lookups. Look up προσδοκῶν in Acts 3:5 for an example.

#4 - 12/27/2012 08:12 AM - Luke Murphey

- Status changed from New to Closed

- Assignee set to Luke Murphey
